public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyarrow/
Date: Fri,  2 Feb 2024 16:05:57 +0000 (UTC)	[thread overview]
Message-ID: <1706889954.97f32531f637f88c880b75e587bf6999d75e8942.mgorny@gentoo> (raw)

commit:     97f32531f637f88c880b75e587bf6999d75e8942
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  2 15:03:39 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb  2 16:05:54 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97f32531

dev-python/pyarrow: Bump to 15.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyarrow/Manifest              |  1 +
 dev-python/pyarrow/pyarrow-15.0.0.ebuild | 78 ++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-python/pyarrow/Manifest b/dev-python/pyarrow/Manifest
index 8ada3de287f0..4cf68b411f0d 100644
--- a/dev-python/pyarrow/Manifest
+++ b/dev-python/pyarrow/Manifest
@@ -1 +1,2 @@
 DIST apache-arrow-14.0.2.tar.gz 20969982 BLAKE2B 9df119fca564a4140d1143a1ac0614831e4f80846d43439d011b8ca7f5e77461005c96b9430b6dd7ce0ba7496b879a8abc9ffa372e6b455c317abeebb16ae8e4 SHA512 dd6cf6cbb817a48ef5275bb409367e5904526a3c16a17a37ea75101085ea19a71ba6bf936a6f099012e7c528811db1728ef2f14dcb16a1056a22088839280ce0
+DIST apache-arrow-15.0.0.tar.gz 21491996 BLAKE2B 55709d1d181ed5c1482e1eadc9031c692bbd39434ccad17be8c0f3f5af47e3b3d5f262903d1ce09c39442497e14c22c80d7b30215e4de830a4ac82a1b3db34fb SHA512 d5dccaa0907b0e6f2a460e32ae75091942dcb70b51db4aefe2767ee8d99882694607b723a9c06898dda3938d8eb498258d7f9aad11054665b6ea9c2fbaeafa74

diff --git a/dev-python/pyarrow/pyarrow-15.0.0.ebuild b/dev-python/pyarrow/pyarrow-15.0.0.ebuild
new file mode 100644
index 000000000000..a0679d28b3ce
--- /dev/null
+++ b/dev-python/pyarrow/pyarrow-15.0.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Python library for Apache Arrow"
+HOMEPAGE="
+	https://arrow.apache.org/
+	https://github.com/apache/arrow/
+	https://pypi.org/project/pyarrow/
+"
+SRC_URI="mirror://apache/arrow/arrow-${PV}/apache-arrow-${PV}.tar.gz"
+S="${WORKDIR}/apache-arrow-${PV}/python"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~riscv"
+IUSE="parquet snappy ssl"
+
+RDEPEND="
+	~dev-libs/apache-arrow-${PV}[compute,dataset,json,parquet?,re2,snappy?,ssl?]
+	dev-python/numpy[${PYTHON_USEDEP}]
+"
+# NB: pytest-lazy-fixture removed in git already
+# https://github.com/apache/arrow/pull/39850
+BDEPEND="
+	test? (
+		dev-python/hypothesis[${PYTHON_USEDEP}]
+		dev-python/pandas[${PYTHON_USEDEP}]
+		dev-python/pytest-lazy-fixture[${PYTHON_USEDEP}]
+		dev-libs/apache-arrow[lz4,zlib]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_compile() {
+	export PYARROW_PARALLEL="$(makeopts_jobs)"
+	export PYARROW_BUILD_VERBOSE=1
+	export PYARROW_CXXFLAGS="${CXXFLAGS}"
+	export PYARROW_BUNDLE_ARROW_CPP_HEADERS=0
+	export PYARROW_CMAKE_GENERATOR=Ninja
+	export PYARROW_WITH_HDFS=1
+	if use parquet; then
+		export PYARROW_WITH_DATASET=1
+		export PYARROW_WITH_PARQUET=1
+		use ssl && export PYARROW_WITH_PARQUET_ENCRYPTION=1
+	fi
+	if use snappy; then
+		export PYARROW_WITH_SNAPPY=1
+	fi
+
+	distutils-r1_src_compile
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# wtf?
+		tests/test_fs.py::test_localfs_errors
+		# these require apache-arrow with jemalloc that doesn't seem
+		# to be supported by the Gentoo package
+		tests/test_memory.py::test_env_var
+		tests/test_memory.py::test_specific_memory_pools
+		tests/test_memory.py::test_supported_memory_backends
+		# pandas changed, i guess
+		tests/test_pandas.py::test_array_protocol_pandas_extension_types
+		tests/test_table.py::test_table_factory_function_args_pandas
+	)
+
+	cd "${T}" || die
+	epytest --pyargs pyarrow
+}


             reply	other threads:[~2024-02-02 16:06 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-02 16:05 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-05  1:56 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyarrow/ Sam James
2024-07-17 12:35 Michał Górny
2024-06-20 15:20 Michał Górny
2024-06-03  1:52 Michał Górny
2024-06-02 18:57 Arthur Zamarin
2024-05-15  1:40 Michał Górny
2024-05-08  9:48 Michał Górny
2024-05-01  5:28 Joonas Niilola
2024-04-22 11:04 Michał Górny
2024-04-21 13:57 Michał Górny
2024-04-11 11:48 Michał Górny
2024-04-11 11:48 Michał Górny
2024-04-11 11:48 Michał Górny
2024-03-30 17:02 Arthur Zamarin
2024-03-22 20:37 Arthur Zamarin
2024-03-19 20:09 Michał Górny
2024-03-13 20:48 Michał Górny
2024-03-13 15:03 Arthur Zamarin
2024-02-02 16:05 Michał Górny
2024-01-23 22:59 Jakov Smolić
2024-01-23 17:30 Arthur Zamarin
2023-12-30 18:32 Michał Górny
2023-12-28  7:23 Michał Górny
2023-11-23 15:39 Alfredo Tupone
2023-11-22  0:48 Alfredo Tupone
2023-07-21  7:10 Michał Górny
2023-05-10 19:34 Alfredo Tupone
2023-05-07 17:20 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1706889954.97f32531f637f88c880b75e587bf6999d75e8942.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox